Subject: Re: Cardbus issues on TiBook

From: Armando Di Cianno <[email-masked]>
Date: Fri, 7 Sep 2001 15:46:14 -0400

On Fri, 07 Sep 2001 09:24:52 -0700
Ira Weiny <[email-masked]> wrote:

> Well I followed your directions.  Built the pcmcia stuff into the
> kernel, ide-cs as a module.  Got the latests pcmcia 3.1.29 package and
> built it.  And used your address.  This seems to fix the "cat
> /proc/ioports" issue.  But the machine will still lock up and turn off
> when I insert the card.  And XMON reveals I am at the same spot
> (actual_try_to_identyfy).
>
> So my questions to you are:

Firstoff, sorry to anyone on the list dislikes attachments on mailinglists, but others may find it useful as well. (it's only 4.9k gzip'd...)

> 1) could I get your .config file for the kernel.  Maybe I have some
> other thing I am missing.

Sure, enjoy. :-)

> 2) Which Microdrive and PCCard adapter are you using.  I have the 1Gig
> and am using the adapter it came with.  Maybe there is an isuue with the
> adapter I have.

IBM Microdrive (340MB):
- Model: DMDM-10340

PCCard Adaptor (Came with the Microdrive)
- P/N: 31L9315

Also, I do always call my /etc/rc.d script for stopping pcmcia services before I remove the card, but a simple eject command sent to cardmgr should hopefully do it.

When the card is inserted, and services are started, this is what gets reported by dmesg:
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
Yenta IRQ list 0000, PCI irq58
Socket status: 30000810
cs: memory probe 0x80000000-0x80ffffff: excluding 0x80000000-0x800fffff
hde: IBM-DMDM-10340, ATA DISK drive
ide2 at 0x100-0x107,0x10e on irq 58
hde: 700560 sectors (359 MB) w/96KiB Cache, CHS=695/16/63
 hde: hde1
ide_cs: hde: Vcc = 3.3, Vpp = 0.0

Note that Linux Kernel Card Services _can_ work with a different version of the userspace controls, but some version pairs _may not_ function together.  At least, this is what is stated in the PCMCIA package readme. :-)

Also, these are the modules found in memory when the card is happily set up:
Module                  Size  Used by
ide-cs                  3856   1
ds                      8752   1  [ide-cs]
yenta_socket           11088   1
pcmcia_core            43264   0  [ide-cs ds yenta_socket]

I hope all this helps you out.  If any other information is needed, please let me know.

__Armando Di Cianno
[email-masked]